<!DOCTYPE html>
<html lang="cs">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="Webová prezentace projektu RC Racer">
    <meta name="author" content="Oscar Hernández">

    <title>RC Racer</title>

    <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon">
    <link rel="icon" href="/favicon.ico" type="image/x-icon">

    <!-- Bootstrap Core CSS -->
    <link href="vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="vendor/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic"
          rel="stylesheet" type="text/css">

    <!-- Custom CSS -->
    <link href="css/stylish-portfolio.css" rel="stylesheet">

    <link rel="stylesheet" type="text/css" href="http://x3dom.org/download/x3dom.css"/>
    <script type="text/javascript" src="http://x3dom.org/download/dev/x3dom-full.js"></script>
</head>

<body>
<!-- Navigation -->
<a id="menu-toggle" href="#" class="btn btn-dark btn-lg toggle">
    <i class="fa fa-bars"></i>
</a>
<nav id="sidebar-wrapper">
    <ul class="sidebar-nav">
        <a id="menu-close" href="#" class="btn btn-light btn-lg pull-right toggle">
            <i class="fa fa-times"></i>
        </a>
        <li class="sidebar-brand">
            <a class="js-scroll-trigger" href="#top">RC Rider</a>
        </li>
        <li>
            <a class="js-scroll-trigger" href="#top">Domů </a>
        </li>
        <li>
            <a class="js-scroll-trigger" href="#about">O projektu</a>
        </li>
        <li>
            <a class="js-scroll-trigger" href="#team">Tým</a>
        </li>
        <li>
            <a class="js-scroll-trigger" href="#interactions">Interakce</a>
        </li>
        <li>
            <a class="js-scroll-trigger" href="#scene">Celá scéna</a>
        </li>
        <li>
            <a class="js-scroll-trigger" href="#contact">Kontakt</a>
        </li>
    </ul>
</nav>

<!-- Header -->
<header class="header" id="top">
    <div class="text-vertical-center">
        <img src="img/Logo.png">
        <h1>RC Rider</h1>
        <h3>A7B39MVR tým 2017-3: Oscar Hernández &amp; Filip Kotrba</h3>
    </div>
</header>

<!-- About -->
<section id="about" class="about">
    <div class="container text-center">
        <h2>RC Rider</h2>
        <p class="lead">
            RC Rider vznikl jako semestrální projekt pro předmět A7B39MVR - 3D Modelování a virtuální realita na
            Fakultě&nbsp;Elektrotechnické Českého&nbsp;vysokého&nbsp;učení&nbsp;technického&nbsp;v&nbsp;Praze.
        </p>
        <p class="lead">
            Hlavní nápad pro téma projektu vznikl ze zadání, kde je stanoveno, že součástí konečné práce je vozidlo,
            které se bude dálkově ovládat pomocí elementů ve webové stránce. Toto vedlo k myšlence, že tedy vozidlo může
            být podáno jako hračka na dálkové ovládání a scénou je dětské hřiště.
        </p>
        <p class="lead">
            Toto je stránka pro Fázi 2 - Interakce. <br/> Pro Fázi 1 - Statická scéna, klikněte <a class="btn btn-dark" href="../index.html">ZDE</a>
        </p>
    </div>
    <!-- /.container -->
</section>

<!-- Services -->
<section id="team" class="services bg-primary text-white">
    <div class="container">
        <div class="row text-center">
            <div class="col-lg-10 mx-auto">
                <h2>Tým 2017-3</h2>
                <hr class="small">
                <div class="row">
                    <div id="oscar" class="col">
                        <div class="service-item">
                  <span class="fa-stack fa-4x">
                    <img class="img-thumbnail rounded-circle" src="img/member_1.jpg">
                  </span>
                            <h4>
                                <strong><br/>Bc. Oscar Hernández</strong>
                            </h4>
                            <p>3. ročník magisterského studia</p>
                            <p>Obor Otevřená Informatika - Softwarové Inženýrství</p>
                            <a href="mailto:hernaosc@fel.cvut.cz" class="btn btn-light">hernaosc@fel.cvut.cz</a>
                        </div>
                    </div>
                    <div id="filip" class="col">
                        <div class="service-item">
                  <span class="fa-stack fa-4x">
                    <img class="img-thumbnail rounded-circle" src="img/member_2.jpg">
                  </span>
                            <h4>
                                <strong><br/>Filip Kotrba</strong>
                            </h4>
                            <p>1. ročník bakalářského studia</p>
                            <p>Před 1. checkpointem opouští tým a ukončuje studium</p>
                        </div>
                    </div>
                </div>
                <!-- /.row (nested) -->
            </div>
            <!-- /.col-lg-10 -->
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container -->
</section>

<!-- Portfolio -->
<section id="quad" class="portfolio">
    <div class="container">
        <div class="row">
            <div id="interactions"  class="col-lg-10 mx-auto text-center">
                <h1>Interakce</a></h1>
                <hr class="small">

                <h3>Přehrání zvuku při přiblížení - zatroubení (ProximitySensor)</h3>
                <div class="row">
                    <div class="mx-auto">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/sound_inter.png">
                            </a>
                        </div>
                    </div>
                </div>

                <h3>Otáčení řídítky a koly (CylinderSensor)</h3>
                <div class="row">
                    <div class="mx-auto">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/handlebar_inter.png">
                            </a>
                        </div>
                    </div>
                </div>

                <h3>Posouvání umístění anténky (PlaneSensor)</h3>
                <div class="row">
                    <div class="mx-auto">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/antenna_inter.png">
                            </a>
                        </div>
                    </div>
                </div>

                <h3>Projetí čtyřkolky (TouchSensor)</h3>
                <div class="row">
                    <div class="mx-auto">
                        <div class="portfolio-item">
                            <a href="#">
                                <img class="img-portfolio img-fluid" src="img/seat-inter.png">
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.col-lg-10 -->
        </div>
        <!-- /.row -->
        <br/><br/>

        <div class="row">
            <div class="col-lg-10 mx-auto text-center">
                <h2>Výsledky měření fps (BS Contact)</h2>
                <hr class="small">

                <h3>FPS ve statické scéně: 450-600</h3>
                <h3>FPS v interaktivní scéně: 400-500</h3>
                <div class="mx-auto">
                    Přidání interakcí snížilo fps. Vzhledem ale k jednoduchosti scény se stále jedná o pro uživatele nezaznamenatelné zpomalení.
                </div>
            </div>
        </div>
    </div>
    <!-- /.container -->
</section>

<!-- Call to Action -->
<aside class="call-to-action bg-primary text-white">
    <div id="scene" class="container text-center">
        <h2>Celá scéna</h2>
        <a class="btn btn-dark" href="vse.zip">Stáhnout scénu</a>
        <h4>FPS: <span id="sceneFps">N/A</span></h4>
        <a id="dayButton" class="btn btn-dark">Den</a>
        <a id="nightButton" class="btn btn-dark">Noc</a>
        <a id="viewButton" class="btn btn-dark">Změnit pohled</a>
    </div>
</aside>

<!-- Map -->
<section class="map">
    <div class="x3d-cont">
        <X3D id="fullScene" class="x3d-item" xmlns="http://www.x3dom.org/x3dom" showStat="false" showLog="false" x="0px"
             y="0px" altImg="img/nox3d.png">
            <Scene DEF='scene'>
                <Inline id="quad-x3d" url="x3d/scene.x3d"></Inline>
                <Background id="sceneBg" skyColor="0.5 0.5 1"/>
            </Scene>
        </X3D>
    </div>
</section>

<!-- Modal -->
<div class="modal fade" id="creditsModal" tabindex="-1" role="dialog" aria-labelledby="creditsModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="creditsModalLabel">Zdroje třetích stran</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <ul class="list-unstyled">
                    <li>Šablona pro webové stránky: <a href="https://startbootstrap.com/template-overviews/stylish-portfolio/">Stylish Portfolio</a> </li>
                    <li>Zvuk hřiště: <a href="http://www.freesfx.co.uk/download/?type=mp3&id=13924">Children Playground Ambience</a> </li>
                    <li>Zvuk troubení: <a href="http://soundbible.com/2179-Dixie-Horn.html">Dixie Horn Sound</a> </li>
                    <li>Zvuk motoru: <a href="https://www.soundjay.com/transportation/sounds/motorcycle-start-and-revs-01.mp3">motorcycle-start-and-revs-01</a></li>
                </ul>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Zavřít</button>
            </div>
        </div>
    </div>
</div>

<!-- Footer -->
<footer id="contact">
    <div class="container">
        <div class="row">
            <div class="col-lg-10 mx-auto text-center">
                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#creditsModal">
                    Zdroje třetích stran
                </button>
            </div>
        </div>
        <br><br><br>
        <div class="row">
            <div class="col-lg-10 mx-auto text-center">
                <h4>
                    <strong>Kontakt</strong>
                </h4>
                <br>
                <ul class="list-inline">
                    <li class="list-inline-item">
                        <a href="mailto:hernaosc@fel.cvut.cz">
                            <i class="fa fa-envelope fa-fw fa-3x"></i>
                        </a>
                    </li>
                    <li class="list-inline-item">
                        <a href="https://twitter.com/Osa_Soft">
                            <i class="fa fa-twitter fa-fw fa-3x"></i>
                        </a>
                    </li>
                    <li class="list-inline-item">
                        <a href="https://www.linkedin.com/in/oscar-hern%C3%A1ndez-9a06a966/">
                            <i class="fa fa-linkedin fa-fw fa-3x"></i>
                        </a>
                    </li>
                </ul>
                <hr class="small">
                <p class="text-muted">Copyright &copy; Oscar Hernández <?php echo date("Y"); ?></p>
            </div>
        </div>
    </div>
    <a id="to-top" href="#top" class="btn btn-dark btn-lg js-scroll-trigger">
        <i class="fa fa-chevron-up fa-fw fa-1x"></i>
    </a>
</footer>

<!-- Bootstrap core JavaScript -->
<script src="vendor/jquery/jquery.min.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

<!-- Plugin JavaScript -->
<script src="vendor/jquery-easing/jquery.easing.min.js"></script>

<!-- Custom scripts for this template -->
<script src="js/stylish-portfolio.js"></script>

<script src="js/js.js"></script>

</body>

</html>
